
TYPO3.Flow - Bug # 54553

Status: Resolved Priority: Should have
Author: Alexander Schnitzler Category:
Created: 2013-12-21 Assigned To:
Updated: 2014-03-05 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Web/.htaccess will be overridden on every composer update/install
Description

As the title says, on every composer update/install Web/.htaccess will be copied from somewhere inside the Flow package and
overrides the local file.

It's good to have this copy the first time one installs Flow, but after one has added own stuff like RedirectRules e.g. the override is
really annoying.

Related issues:
related to TYPO3.Flow - Bug # 41369: Web/.htaccess is not installed Resolved 2012-09-24
related to TYPO3.Flow - Bug # 47858: Remove .htaccess from Composer Installer... Needs Feedback2013-05-03

Associated revisions
Revision c2beba9f - 2014-03-04 23:23 - Rens Admiraal

[BUGFIX] .htaccess is overwritten by the composer install scripts

The composer update / install scripts overwrite the Web/.htaccess
file which is unwanted behavior as this leads to issues when
people add custom rewrite rules, or if for example setting the
MultiViews option is not allowed.

This change moves the .htaccess, index.php and flow scripts
to the Defaults folder so it will only be initialy placed into
the installation.

Change-Id: Id6233a9694b5ecbc85f81b8f6d95f96412802347
Fixes: #54553
Releases: master, 2.1

Revision f792ef7b - 2014-03-05 14:59 - Rens Admiraal

[BUGFIX] .htaccess is overwritten by the composer install scripts

The composer update / install scripts overwrite the Web/.htaccess
file which is unwanted behavior as this leads to issues when
people add custom rewrite rules, or if for example setting the
MultiViews option is not allowed.

This change moves the .htaccess, index.php and flow scripts
to the Defaults folder so it will only be initialy placed into
the installation.

Change-Id: Id6233a9694b5ecbc85f81b8f6d95f96412802347
Fixes: #54553
Releases: master, 2.1

History
#1 - 2013-12-21 20:08 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/26535

#2 - 2014-03-04 23:05 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/26535

#3 - 2014-03-04 23:26 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/26535

#4 - 2014-03-05 14:59 - Gerrit Code Review

Patch set 1 for branch 2.1 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/28077

#5 - 2014-03-05 15:36 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c2beba9f9ea05f8a732a2899db2523123c74df6c.
